Bug 1019674 - input method switching does not work in cinnamon
input method switching does not work in cinnamon
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cinnamon (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 04:48 EDT by Mike FABIAN
Modified: 2016-07-19 12:33 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:29:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cinnamon-switching-input-methods-not-possible.ogv (1.31 MB, video/ogg)
2013-10-16 04:48 EDT, Mike FABIAN
no flags Details
dot-cache-imsettings-log (4.78 KB, text/plain)
2013-10-17 03:20 EDT, Mike FABIAN
no flags Details

  None (edit)
Description Mike FABIAN 2013-10-16 04:48:31 EDT
Created attachment 812829 [details]
cinnamon-switching-input-methods-not-possible.ogv

- Installed Fedora 20 Beta TC4 in qemu using Japanese as the 
  installation language
- added other desktops using "yum groupinstall cinnamon-desktop-environment ..."
  after the initial Gnome installation was finished.
- log into cinnamon
- use the "Input Sources" Tab of "cinnammon-control-center region"
  to add the "Intelligent Pinyin" input method.
- Try to switch to Pinyin input using the input method switcher
  in the cinnamon panel

-> This does not work, switching to pinyin input is not possible.

However, switching to pinyin input *is* possible using the
ibus icon in the panel (The icon showing a keyboard and a globe).

Using the input method switching thing in cinnamon one can
only switch keyboard layouts, switching input methods does not work.

See attached video.
Comment 1 leigh scott 2013-10-16 05:34:02 EDT
This is the expected behaviour for the cinnamon keyboard applet as the ibus changes needed haven't been ported yet.
Comment 2 leigh scott 2013-10-16 05:39:54 EDT
Did you install imsettings-cinnamon ?
Comment 3 Mike FABIAN 2013-10-16 07:29:33 EDT
(In reply to leigh scott from comment #2)
> Did you install imsettings-cinnamon ?

No:

[mfabian@Fedora-20-Beta-TC4-x86_64-netins ~]$ rpm -qa | grep imsettings
imsettings-mate-1.6.6-1.fc20.x86_64
imsettings-lxde-1.6.6-1.fc20.x86_64
imsettings-1.6.6-1.fc20.x86_64
imsettings-libs-1.6.6-1.fc20.x86_64
imsettings-qt-1.6.6-1.fc20.x86_64
imsettings-gsettings-1.6.6-1.fc20.x86_64
imsettings-xfce-1.6.6-1.fc20.x86_64
[mfabian@Fedora-20-Beta-TC4-x86_64-netins ~]$ yum search imsettings-cinnamon
読み込んだプラグイン:langpacks, refresh-packagekit
========================= N/S matched: imsettings-cinnamon ==========================
imsettings-cinnamon.x86_64 : Cinnamon support on imsettings

  Name and summary matches only, use "search all" for everything.
[mfabian@Fedora-20-Beta-TC4-x86_64-netins ~]$ 

Maybe that should have been installed by

   yum groupinstall cinnamon-desktop-environment

?
Comment 4 Mike FABIAN 2013-10-16 07:36:09 EDT
I installed imsettings-cinnamon now, it doesn’t seem to make any
difference.
Comment 5 leigh scott 2013-10-16 08:07:48 EDT
(In reply to Mike FABIAN from comment #4)
> I installed imsettings-cinnamon now, it doesn’t seem to make any
> difference.

Did you set this so imsettings works?

gsettings set org.cinnamon.settings-daemon.plugins.keyboard active false
Comment 6 Mike FABIAN 2013-10-16 12:07:28 EDT
(In reply to leigh scott from comment #5)
> (In reply to Mike FABIAN from comment #4)
> > I installed imsettings-cinnamon now, it doesn’t seem to make any
> > difference.
> 
> Did you set this so imsettings works?
> 
> gsettings set org.cinnamon.settings-daemon.plugins.keyboard active false

This was set to “true” instead of false.

I changed it to “false”, logged out of cinnamon, logged in again.

No difference. The input method switcher of cinnamon still cannot switch
to pinyin, it still can only switch keyboards.
Comment 7 Mike FABIAN 2013-10-17 03:16:15 EDT
possibly related to bug#1017141, not sure whether it is a duplicate
because it still doesn’t work for me although Fedora 20 Beta TC4
has imsettings-1.6.6-1.fc20.x86_64 already.
Comment 8 Mike FABIAN 2013-10-17 03:20:34 EDT
Created attachment 813208 [details]
dot-cache-imsettings-log
Comment 9 Akira TAGOH 2013-10-17 05:40:03 EDT
That looks like imsettings-cimmanon sets ibus:xim to org.cinnamon.desktop.interface.gtk-im-module properly.

BTW there seems a bug in ibus or somewhere else, need to press super+space twice to activate/deactivate. anyway imsettings do the right job at this point. that is an another issue anyway.
Comment 10 Fedora End Of Life 2015-05-29 05:34:54 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Akira TAGOH 2015-06-04 02:14:39 EDT
No changes on the behavior what I wrote at comment#9. tested on f22 with Cinnamon desktop from netinst. still need to press super+space twice. on the terminal say, it shows a space first then activate ibus with second one. first key press event seems not sending to ibus.
Comment 12 leigh scott 2015-06-04 03:26:39 EDT
Sorry I didn't think this ibus issue will ever be resolved as cinnamon upstream implemented their own solution in newer mintlocale.
There Debian/ubuntu ways wont work in fedora so I never packaged the newer version.
I haven't got the time or know how to fix it myself.
Comment 13 Ross Smith 2015-09-02 15:39:04 EDT
Do you have an idea of why their newer way won't work for fedora?  I'm willing to take a stab at it since we have a large number of users that would benefit from input switching working in cinnamon.
Comment 14 leigh scott 2015-09-02 19:08:55 EDT
(In reply to Ross Smith from comment #13)
> Do you have an idea of why their newer way won't work for fedora?  I'm
> willing to take a stab at it since we have a large number of users that
> would benefit from input switching working in cinnamon.

Have a look at the IM parts of mintlocale, fedora doesn't have a im-config package.

https://github.com/linuxmint/mintlocale/commits/master

https://github.com/linuxmint/mintlocale/commit/02260af886f72edbc76fcd630f78f82a80a326a7

https://github.com/linuxmint/mintlocale/commit/0256122127dd8103b438607055624261bb62c73f

https://github.com/linuxmint/mintlocale/commit/8dfda20d02b3aee094e12e34fb8baac2514d2c56

https://github.com/linuxmint/mintlocale/commit/6bcecfde70ebea8c77051e3f6cea7fbcec1a3a2e
Comment 15 Fedora End Of Life 2016-07-19 06:29:29 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.